Skip to main content
`Ctrl`+`K`

# RickerWavelet2D

class astropy.modeling.functional_models.RickerWavelet2D(amplitude=1, x_0=0, y_0=0, sigma=1, **kwargs)

  Bases: `Fittable2DModel`

  Two dimensional Ricker Wavelet model (sometimes known as a “Mexican Hat” model).

  Note

  See astropy/astropy#9445 for discussions related to renaming of this model.

  Parameters:
    amplitude `python:float`

      Amplitude

    x_0 `python:float`

      x position of the peak

    y_0 `python:float`

      y position of the peak

    sigma `python:float`

      Width of the Ricker wavelet

  Other Parameters:
    fixed `python:dict`, optional

      A dictionary `{parameter_name: boolean}` of parameters to not be varied during fitting. True means the parameter is held fixed. Alternatively the `fixed` property of a parameter may be used.

    tied `python:dict`, optional

      A dictionary `{parameter_name: callable}` of parameters which are linked to some other parameter. The dictionary values are callables providing the linking relationship. Alternatively the `tied` property of a parameter may be used.

    bounds `python:dict`, optional

      A dictionary `{parameter_name: value}` of lower and upper bounds of parameters. Keys are parameter names. Values are a list or a tuple of length 2 giving the desired range for the parameter. Alternatively, the `min` and `max` properties of a parameter may be used.

    eqcons `python:list`, optional

      A list of functions of length `n` such that `eqcons[j](x0,*args) == 0.0` in a successfully optimized problem.

    ineqcons `python:list`, optional

      A list of functions of length `n` such that `ieqcons[j](x0,*args) >= 0.0` is a successfully optimized problem.

  See also

  `RickerWavelet1D`, `Gaussian2D`

  Notes

  Model formula:

  \[f(x, y) = A \left(1 - \frac{\left(x - x_{0}\right)^{2} + \left(y - y_{0}\right)^{2}}{\sigma^{2}}\right) e^{\frac{- \left(x - x_{0}\right)^{2} - \left(y - y_{0}\right)^{2}}{2 \sigma^{2}}}\]

  Attributes Summary

  `amplitude` |
  `input_units` | This property is used to indicate what units or sets of units the evaluate method expects, and returns a dictionary mapping inputs to units (or `None` if any units are accepted).
  `param_names` | Names of the parameters that describe models of this type.
  `sigma` |
  `x_0` |
  `y_0` |

  Methods Summary

  `evaluate`(x, y, amplitude, x_0, y_0, sigma) | Two dimensional Ricker Wavelet model function.

  Attributes Documentation

  amplitude = Parameter('amplitude', value=1.0)
  input_units
  param_names = ('amplitude', 'x_0', 'y_0', 'sigma')

    Names of the parameters that describe models of this type.

    The parameters in this tuple are in the same order they should be passed in when initializing a model of a specific type. Some types of models, such as polynomial models, have a different number of parameters depending on some other property of the model, such as the degree.

    When defining a custom model class the value of this attribute is automatically set by the `Parameter` attributes defined in the class body.

  sigma = Parameter('sigma', value=1.0)
  x_0 = Parameter('x_0', value=0.0)
  y_0 = Parameter('y_0', value=0.0)

  Methods Documentation

  static evaluate(x, y, amplitude, x_0, y_0, sigma)

    Two dimensional Ricker Wavelet model function.